package com.gree.mall.manager.controller.es;

import cn.hutool.core.lang.TypeReference;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.manager.annotation.ApiNotAuth;
import com.gree.mall.manager.annotation.ZfireList;
import com.gree.mall.manager.bean.es.ESGoodsBean;
import com.gree.mall.manager.bean.es.ESGoodsVO;
import com.gree.mall.manager.bean.es.OrderBaseEs;
import com.gree.mall.manager.enums.es.ESGoodsStatusEnum;
import com.gree.mall.manager.es.OrderBaseEsRepository;
import com.gree.mall.manager.exception.RemoteServiceException;
import com.gree.mall.manager.helper.ResponseHelper;
import com.gree.mall.manager.logic.es.ESGoodsLogic;
import com.gree.mall.manager.plus.entity.EsGoodsOperateRecord;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import com.gree.mall.manager.zfire.util.FieldUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.elasticsearch.core.ElasticsearchRestTemplate;
import org.springframework.data.elasticsearch.core.IndexOperations;
import org.springframework.data.elasticsearch.core.document.Document;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Slf4j
@RestController
@Api(value = "esapi", tags ={"esapi"} )
@RequestMapping(value = "/esOrderbase/goods", produces = "application/json; charset=utf-8")
public class ESOrderBaserController {


    @Resource
    private ElasticsearchRestTemplate elasticsearchRestTemplate;

    @Resource
    private OrderBaseEsRepository orderBaseEsRepository;

    @ApiNotAuth
    @PostMapping("add")
    public ResponseHelper add() {



        return ResponseHelper.success();
    }

}
